Page 1 of 1

Error on upgrade

Posted: Tue Aug 14, 2018 5:59 pm
by paulbarton
Just upgrading from 1.5.6.1 to 3.0.2.0 and getting this error - it seems to repeat?
SyntaxError: Unexpected token < in JSON at position 0 parsererror Unknown: mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead in /home/trehalos/public_html/system/library/db/mysql.php on line 7{"success":"Patch 1000 has been applied (1 of 10)","next":"index.php?route=upgrade\/upgrade\/next&step=2"}

Re: Error on upgrade

Posted: Wed Aug 15, 2018 12:20 am
by cyclops12
Have you changed the db driver to mysqli in your config.php files?

Re: Error on upgrade

Posted: Fri Sep 21, 2018 4:42 am
by bismark6
I need help with my error. what should i do
Error Code(0): Error: Ne peut effacer (DROP) 'PRIMARY'. VĂ©rifiez s'il existe
Error No: 1091
ALTER TABLE `oc_category` DROP PRIMARY KEY, ADD PRIMARY KEY(`category_id`, `parent_id`) in C:\wamp\www\tt_ventur_quickstart\tt_ventur\system\library\db\mysqli.php on line 40